Page MenuHomePhabricator

Commons Special:Upload cannot preview thumbnail as it tries to replace incorrect css class
Closed, ResolvedPublic

Description

When uploading a file at Commons using Special:Upload, the page cannot obtain a thumbnail of the file selected for uploading -- the throbber just spins continuously. However, if all the fields are filled out, the file uploads normally.

Event Timeline

Jacklee created this task.Aug 22 2015, 7:33 PM
Jacklee raised the priority of this task from to Low.
Jacklee updated the task description. (Show Details)
Jacklee added a project: Commons.
Jacklee added a subscriber: Jacklee.
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald TranscriptAug 22 2015, 7:33 PM
SJu set Security to None.
SJu added a subscriber: SJu.
Restricted Application added a project: Multimedia. · View Herald TranscriptAug 22 2015, 9:50 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 23 2015, 2:34 AM
zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Aug 23 2015, 2:36 AM
zhuyifei1999 updated the task description. (Show Details)
Steinsplitter raised the priority of this task from Low to Normal.Aug 23 2015, 8:41 AM
SJu renamed this task from Commons Special:Upload Cannot Obtain Thumbnail to Commons Special:Upload cannot obtain thumbnail.Aug 23 2015, 9:40 AM
Aklapper raised the priority of this task from Normal to Needs Triage.Aug 23 2015, 6:06 PM

Is that reproducible with any kind of browser (which ones were tested?) and with any kind of file format (which ones were tested?)? Does that also happen with UploadWizard?

Bawolff renamed this task from Commons Special:Upload cannot obtain thumbnail to Commons Special:Upload cannot preview thumbnail as it tries to replace incorrect css class.Aug 24 2015, 5:28 AM
Bawolff added a subscriber: ori.

Change 233345 had a related patch set uploaded (by Brian Wolff):
Fix classname mismatch between upload js and templates/thumbnail.html

https://gerrit.wikimedia.org/r/233345

Aklapper triaged this task as High priority.Aug 24 2015, 10:22 AM

Change 233345 merged by jenkins-bot:
Fix classname mismatch between upload js and templates/thumbnail.html

https://gerrit.wikimedia.org/r/233345

I encountered the issue while uploading JPEG files using the latest version of Mozilla Firefox. Not sure when the issue started – I noticed it a few days ago.

Special:UploadWizard occasionally fails to obtain thumbnails and displays "broken picture" images, but I don't know if this has the same cause as this current issue with Special:Upload.

The fix will roll out to Wikimedia wikis over the course of this week, see https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap for details. I don't think this is critical enough to backport now, but if you do, it can be done.

matmarex closed this task as Resolved.Aug 24 2015, 9:16 PM
matmarex assigned this task to Bawolff.
matmarex removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.Sep 15 2015, 3:20 PM